hpp-fcl: hpp::fcl::BVFitterTpl< BV > Class Template Reference

hpp-fcl 1.6.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Protected Attributes | List of all members
hpp::fcl::BVFitterTpl< BV > Class Template Referenceabstract

The class for the default algorithm fitting a bounding volume to a set of points. More...

`#include <hpp/fcl/internal/BV_fitter.h>`

## Public Member Functions
virtual | ~BVFitterTpl ()
| default deconstructor More...
void | set (Vec3f *vertices_, Triangle *tri_indices_, BVHModelType type_)
| Prepare the geometry primitive data for fitting. More...
void | set (Vec3f *vertices_, Vec3f *prev_vertices_, Triangle *tri_indices_, BVHModelType type_)
| Prepare the geometry primitive data for fitting, for deformable mesh. More...
virtual BV | fit (unsigned int *primitive_indices, int num_primitives)=0
| Compute the fitting BV. More...
void | clear ()
| Clear the geometry primitive data. More...

## Protected Attributes
Vec3f * | vertices
Vec3f * | prev_vertices
Triangle * | tri_indices
BVHModelType | type

## Detailed Description

### template<typename BV>
class hpp::fcl::BVFitterTpl< BV >

The class for the default algorithm fitting a bounding volume to a set of points.

## Constructor & Destructor Documentation

## ◆ ~BVFitterTpl()

template<typename BV >

virtual hpp::fcl::BVFitterTpl< BV >::~BVFitterTpl | ( |  | ) |
| inlinevirtual

default deconstructor

## Member Function Documentation

## ◆ clear()

template<typename BV >

void hpp::fcl::BVFitterTpl< BV >::clear | ( |  | ) |
| inline

Clear the geometry primitive data.

## ◆ fit()

template<typename BV >

virtual BV hpp::fcl::BVFitterTpl< BV >::fit | ( | unsigned int * | primitive_indices,
|  | int | num_primitives
| ) |  |
| pure virtual

Compute the fitting BV.

Implemented in hpp::fcl::BVFitter< AABB >, hpp::fcl::BVFitter< OBBRSS >, hpp::fcl::BVFitter< kIOS >, hpp::fcl::BVFitter< RSS >, and hpp::fcl::BVFitter< OBB >.

## ◆ set() [1/2]

template<typename BV >

void hpp::fcl::BVFitterTpl< BV >::set | ( | Vec3f * | vertices_,
|  | Triangle * | tri_indices_,
|  | BVHModelType | type_
| ) |  |
| inline

Prepare the geometry primitive data for fitting.

## ◆ set() [2/2]

template<typename BV >

void hpp::fcl::BVFitterTpl< BV >::set | ( | Vec3f * | vertices_,
|  | Vec3f * | prev_vertices_,
|  | Triangle * | tri_indices_,
|  | BVHModelType | type_
| ) |  |
| inline

Prepare the geometry primitive data for fitting, for deformable mesh.

## Member Data Documentation

## ◆ prev_vertices

template<typename BV >

Vec3f* hpp::fcl::BVFitterTpl< BV >::prev_vertices
| protected

## ◆ tri_indices

template<typename BV >

Triangle* hpp::fcl::BVFitterTpl< BV >::tri_indices
| protected

## ◆ type

template<typename BV >

BVHModelType hpp::fcl::BVFitterTpl< BV >::type
| protected

## ◆ vertices

template<typename BV >

Vec3f* hpp::fcl::BVFitterTpl< BV >::vertices
| protected

The documentation for this class was generated from the following file:

- include/hpp/fcl/internal/BV_fitter.h